import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * The game board. The board had a paddle that can move.
 * 
 * @author mik
 * @version 1.0
 */
public class Board extends World
{
    public Paddle paddle;
    public Lives live;
    public Counter counter;
    public static final int GAP = 15;
    public static final int GAP2 = 20;
    private int level = 1; 
    /**
     * Constructor for objects of class Board.
     * 
     */
    public Board()
    {    
        super(460, 460, 1);
        getBackground().setColor(Color.BLACK);
        getBackground().fill();
        setPaintOrder(Ball.class,Paddle.class,Block.class,Smoke.class,
        Counter.class,Lives.class);
        Counter counter = new Counter();
        addObject(counter, 106, 445);
       
        Lives live = new Lives();
        addObject(live, 450,445);
        // Add a paddle object to the world.
        paddle =  new Paddle(counter,live);
        addObject(paddle, getWidth()/2, getHeight()-40);
        // Center the Paddle object horizontally and 40 pixels from the bottom.
        createBlocks();
    }

    public void ballIsOut()
    {
        paddle.newBall();
    }
    
    public void act()
    {
        //Greenfoot.setWorld(new Level1(live, counter));
        checkWin();
    }
    
    public void checkWin()
    {
        if (getObjects(Block.class).isEmpty())
        {
            level++;
            
        }
    }
    public void createBlocks()
    {
    }
}