import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * The game Level2. The Level2 had a paddle that can move.
 * 
 * @author mik
 * @version 1.0
 */
public class Level2 extends Board
{

    /**
     * Constructor for objects of class Level2.
     * 
     */
    public Level2(Lives lives, Counter counter)
    {    

        // Set the paint order of objects in the world.
        super();
        
        getBackground().setColor(purpleColor());
        getBackground().fill();
        // Add a counter object to the world.

    }

    public Color purpleColor()
    {
        int r = 255;
        int g = 20;
        int b = 147;
        int alpha = 255;
        return new Color(r,g,b,alpha); 
    }

    public void createBlocks()
    {
        int x;
        int y = 30;
        Block block = new Block();
        int width = block. getImage().getWidth();
        int height = block.getImage().getHeight();

        for (int rows = 5; rows > 0; rows--)
        {
            x = 42;
            for (int columns = 6; columns > 0; columns--)
            {
                addObject(new Block(), x, y);
                x = x +width +GAP;
            }
            y = y + 40;
        }
    }

    int countStars = 0;
    int locationCounter = Greenfoot.getRandomNumber(460)+10;

    public void act2()
    {
        countStars++;
        if (countStars%20==0)
        {
            if (Greenfoot.getRandomNumber(100)<90)
                addObject(new Polygon(), Greenfoot.getRandomNumber(440)+10, 10);
        }
    }

    public void act()
    {
        act2();

    }
}
