import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Smoke here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Smoke  extends Actor
{
    private GreenfootImage image;   // the original image
    private int fade;              // the rate of fading
    private int count = 5;
    public Smoke()
    {
        image = getImage();
        fade = Greenfoot.getRandomNumber(4) + 1;  // 1 to 3
        if (fade > 3) 
        {
            fade = fade - 2;  // this makes the rate of fading twice as likely to be 2.
        }
    }

    /**
     * In every step, get smaller until we disappear.
     */
    public void act() 
    {
        shrink();
    }    

    /**
     * If my image's width is less than 10, remove me from the world.
     * Otherwise, create a smaller version of me.
     */
    private void shrink()
    {
        int width = image.getWidth();
        int height = image.getHeight();
        image.scale(width-1, height-1);
        if (width < 15)
        getWorld().removeObject(this);
        
    }
}

